Subject: Re: FVWM: FvwmButton bug ????

From: "Eddy J. Gurney" <[email-masked]>
Date: Fri, 17 Jan 1997 18:51:28 -0500

> E> Also, the AutoRaise problem hasn't been fixed in regards to menus: if
> E> you pop-down a menu, then the AutoRaise delay expires, the window is
> E> raised and obscures the menu. Isn't there any way to fix this?
>
> not reported 'till now.
> On a quick look (it's 0:26) my FvwmAuto doesn't do that.
>
>             +-------------+
>        3    | 2           |
>             |             |
>             |             |
>             |             |
>    +-------------+        |
>    | 1           |        |
>    |             |--------+
>    |             |
>    |             |
>
> move from 1 over 2 to 3, open menu, before 2 is raised,
> (menu overlaps both windows just a little bit, so you can tell the exact
> order)
> stay in menu as long as you like, nothing is raised over the menu.
> exit menu -> 2 is raised over 1.
>
> The raise is delayed until the menu is closed, no strange behaviour found.

I guess I should have been more clear: I meant a menu from a Motif
application, like Netscape or Z-Mail, where I can reproduce it every time.
Fvwm-generated menus appear to work correctly, as you describe.

Also, I just remembered another bug that hasn't been fixed yet: on machines
with more than one display, if you move your mouse from one display to
the other, and in the process move over a window that is not the top window,
the last window you "touched" with the mouse on the display your moving off
of is raised, even though you did not focus on it! It is very annoying. :-(

Eddy
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].